subroutine resample (x,y,m,k)
implicit none
integer m,k
double precision x(m),y(m)

integer nest,n,inm,iopt,lwrk,ier,i
double precision xb,xe,s,fp,dx
double precision, allocatable, dimension(:) :: w,t,c,wrk
integer, allocatable, dimension(:) :: iwrk

allocate(w(m))

s=0.
w=1.
iopt=0
xb=x(1)
xe=x(m)
nest=m+k+1
lwrk=m*(k+1)+nest*(7+3*k)

allocate (t(nest))
allocate (c(nest))
allocate(wrk(lwrk))
allocate(iwrk(nest))

call curfit(iopt,m,x,y,w,xb,xe,k,s,nest,n,t,c,fp,wrk,lwrk,iwrk,ier)

dx=(xe-xb)/dble(m-1)
do i=1,m
   x(i)=xb+(i-1)*dx 
end do

call splev(t,n,c,k,x,y,m,ier)

deallocate(wrk)
deallocate(iwrk)
deallocate(t)
deallocate(c)
deallocate(w)

end subroutine resample
